import com.sun.media.jfxmedia.events.PlayerStateEvent.PlayerState;

public class Team {

	// instance variable of class Team
	private Person[] players;

	// class variable of class Team
	private static int numberOfInstancesOfTeam = 0;
	
	// Constructors
	Team() {
		players = new Person[9];
		numberOfInstancesOfTeam++;
	}
	
	Team(int numberOfPlayers) {
		players = new Person[numberOfPlayers];
		numberOfInstancesOfTeam++;
	}
	
	
	
	// method members of class Team
	public Person getPlayer(int index) {
		return this.players[index];
	}
	
	public void setPlayer(int index, Person p) {
		this.players[index] = p;
	}
	
	public int getNumberOfPlayers() {
		return this.players.length;
	}
	
	public Person[] getTeam() {
		return this.players;
	}
	
	public void showTeamPlayers() {
		for ( int i = 0 ; i < this.players.length ; i++ ) {
			Person p = this.players[i];
			System.out.println("Player " + i + " = " + p.getName() + 
								"\t\tWeight = " + p.getWeight());
		}
	}
	
	public static int getNumberOfInstancesOfTeam() {
		return numberOfInstancesOfTeam;
	}
  	
}
